Pricefx REST API Reference
Pricefx REST API
/Pricefx API Reference/- List Claim Types
Add a Claim Type
Update a Claim Type
Delete a Claim Type
List Claim Types
The Pricefx Backend API
Download OpenAPI description
Overview
URL
Pricefx
Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}
Request
Deletes a Claim Type. Specify the typedId of the Claim Type you want to delete in the request (see the request example).
Security
basic or X-PriceFx-jwt
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/CLT
- URL:https://companynode.pricefx.com/pricefx/companypartition/delete/CLT
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/delete/CLT \
-H 'Content-Type: application/json' \
-d '{
"data": {
"typedId": "13.CLT"
}
}'Response
application/json
{ "response": { "node": "pricefx-cluster-app-frontend-57c6448bd-62zqf", "data": [ … ], "status": 0 } }
Bodyapplication/json
The example of the request body contains the filter. The call returns Claim Types whose name equals to "claimType".
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/CLT
- URL:https://companynode.pricefx.com/pricefx/companypartition/fetch/CLT
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/fetch/CLT \
-H 'Content-Type: application/json' \
-d '{
"endRow": 300,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "uniqueName",
"operator": "iEquals",
"value": "claimType"
}
]
}
}'Response
application/json
{ "response": { "node": "node", "startRow": 0, "data": [ … ], "endRow": 1, "totalRows": 1, "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Operations
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments